Get reimbursement sources
Get connected bank accounts for a user that can be used as reimbursement payout destinations. Pass the userId query parameter to specify which user’s bank accounts to retrieve.
curl --request GET \
--url https://api.slash.com/expense-report/reimbursement-sources \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.slash.com/expense-report/reimbursement-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.slash.com/expense-report/reimbursement-sources"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.slash.com/expense-report/reimbursement-sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"latestStatus": "active",
"accountName": "<string>",
"type": "<string>",
"subtype": "<string>",
"institution": {
"id": "<string>",
"name": "<string>"
},
"metadata": {
"timestamp": "2023-11-07T05:31:56Z"
},
"userId": "<string>",
"legalEntityId": "<string>",
"associationType": "user",
"lastSyncedAt": "<string>",
"lastStatusChangeAt": "<string>",
"officialAccountName": "<string>",
"accountOwnerName": "<string>",
"mask": "<string>",
"balance": {
"amount": {
"amount_cents": 123,
"currency": "USD"
},
"lastBalanceCheckDate": "<string>"
},
"latestBalanceCheck": {
"currentAmount": {
"amount_cents": 123,
"currency": "USD"
},
"availableAmount": {
"amount_cents": 123,
"currency": "USD"
},
"limitAmount": {
"amount_cents": 123,
"currency": "USD"
}
},
"error": {
"errorCode": "<string>",
"errorType": "<string>",
"actionMessage": "<string>",
"userActionCta": "<string>"
},
"institutionLogo": "<string>"
}
]
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}Authorizations
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Query Parameters
The legal entity ID. Required if authenticating with access to multiple legal entities.
The user ID to get reimbursement sources for. Required.
Response
OK
Hide child attributes
Hide child attributes
active, login_required, inactive, unknown_error, pending_verification The owning user. Set only when associationType is 'user' (or absent on accounts that predate ownership scopes).
The owning legal entity. Set only when associationType is 'legalEntity'.
Who owns the account. Absent on accounts that predate ownership scopes, which are personal.
user, legalEntity, slash Hide child attributes
Hide child attributes
Base64 encoded institution logo (152x152 PNG). Not all institutions have logos available.
curl --request GET \
--url https://api.slash.com/expense-report/reimbursement-sources \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.slash.com/expense-report/reimbursement-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.slash.com/expense-report/reimbursement-sources"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.slash.com/expense-report/reimbursement-sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"latestStatus": "active",
"accountName": "<string>",
"type": "<string>",
"subtype": "<string>",
"institution": {
"id": "<string>",
"name": "<string>"
},
"metadata": {
"timestamp": "2023-11-07T05:31:56Z"
},
"userId": "<string>",
"legalEntityId": "<string>",
"associationType": "user",
"lastSyncedAt": "<string>",
"lastStatusChangeAt": "<string>",
"officialAccountName": "<string>",
"accountOwnerName": "<string>",
"mask": "<string>",
"balance": {
"amount": {
"amount_cents": 123,
"currency": "USD"
},
"lastBalanceCheckDate": "<string>"
},
"latestBalanceCheck": {
"currentAmount": {
"amount_cents": 123,
"currency": "USD"
},
"availableAmount": {
"amount_cents": 123,
"currency": "USD"
},
"limitAmount": {
"amount_cents": 123,
"currency": "USD"
}
},
"error": {
"errorCode": "<string>",
"errorType": "<string>",
"actionMessage": "<string>",
"userActionCta": "<string>"
},
"institutionLogo": "<string>"
}
]
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}